> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Refund

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json POST /refunds
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /refunds:
    post:
      summary: Create Refund
      operationId: create-refund
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - resource_type
                - resource_id
              properties:
                resource_type:
                  type: string
                  description: Add `payment_intent` to refund a payment.
                resource_id:
                  type: string
                  description: The ID of the resource to be refundend
                amount:
                  type: integer
                  description: The amount to be refunded.
                  format: int32
                metadata:
                  type: string
                  description: "A set of key-value pairs that you can attach to a\_Refund object. This can be useful for storing additional information about the refund in a structured format."
                  default: '{"order": "#987654321"}'
                  format: json
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````